{% if awx_webhook_payload.data.custom_fields.PortProfile %}
{% if "profile_nac" in awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
  dot1x pae authenticator
  dot1x timeout tx-period 4
  authentication control-direction in
  authentication order dot1x mab
  authentication priority dot1x mab
  authentication port-control auto
  authentication periodic
  authentication timer reauthenticate server
  mab
  authentication event server dead action authorize vlan {{ awx_webhook_payload.data.untagged_vlan.vid }}
  authentication event server alive action reinitialize
  no vtp
{% endif %}
{% if "profile_ap" in awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
   switchport port-security
{% if awx_webhook_payload.data.custom_fields.portsecmax %}
 switchport port-security maximum {{ awx_webhook_payload.data.custom_fields.portsecmax }}
{% endif %}
   switchport port-security mac-address sticky
{% if awx_webhook_payload.data.custom_fields.mac_sticky_address %}
{% set mac_addresses = awx_webhook_payload.data.custom_fields.mac_sticky_address.split(",") | unique %}
{% for mac in mac_addresses %}
   switchport port-security mac-address sticky {{ mac.strip() }}
{% endfor %}
{% else %}
   switchport
{% endif %}
   no vtp
{% endif %}
{% if "profile_no_profile" in awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
  switchport
  switchport mode access
  storm-control broadcast level 80.00
  storm-control multicast level 80.00
  spanning-tree portfast
  spanning-tree guard root
  no vtp
  no lldp transmit
  no lldp receive
{% endif %}
{% if "profile_access_user" in awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
  switchport
  switchport nonegotiate
  no vtp
  no lldp transmit
  no lldp receive
{% endif %}
{% if "profile_voice_nac" in awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
  switchport
  switchport nonegotiate
  switchport voice vlan {{ awx_webhook_payload.data.custom_fields.voice_vlan }}
  dot1x pae authenticator
  dot1x timeout tx-period 4
  authentication control-direction in
  authentication order dot1x mab
  authentication priority dot1x mab
  authentication port-control auto
  authentication periodic
  authentication timer reauthenticate server
  authentication host-mode multi-domain
  authentication violation replace
  mab
  authentication event server dead action authorize vlan {{ awx_webhook_payload.data.untagged_vlan.vid }}
  authentication event server dead action authorize voice
  authentication event server alive action reinitialize
  no vtp
  no lldp transmit
  no lldp receive
{% endif %}
{% if "profile_broken" in awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
  description broken
  shutdown
  no vtp
  no lldp transmit
  no lldp receive
{% endif %}
{% if "profile_trunk_no_uplink" in awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
  switchport
  switchport nonegotiate
{% endif %}
{% if "profile_portsec_no_sticky" in awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
  switchport
  switchport port-security
  switchport port-security violation restrict
  switchport port-security aging time 2
  switchport port-security aging type inactivity
{% if awx_webhook_payload.data.custom_fields.portsecmax %}
 switchport port-security maximum {{ awx_webhook_payload.data.custom_fields.portsecmax }}
{% endif %}
{% endif %}
{% if "profile_portsec_sticky" in awx_webhook_payload.data.custom_fields.PortProfile %}
interface {{ awx_webhook_payload.data.name }}
  switchport
  switchport port-security
  switchport port-security mac-address sticky
{% if awx_webhook_payload.data.custom_fields.mac_sticky_address %}
{% set mac_addresses = awx_webhook_payload.data.custom_fields.mac_sticky_address.split(",") | unique %}
{% for mac in mac_addresses %}
   switchport port-security mac-address sticky {{ mac.strip() }}
{% endfor %}
{% endif %}
{% else %}
interface {{ awx_webhook_payload.data.name }}
exit
{% endif %}
{% endif %}

